
mst_otsb_git_clone_tarball () (

	local src=$1
	local package_name=${2:-$(basename $src .git)}
	local branch=${3:-master}

	tmpdir=$(otsb_mktemp_dir) \
		|| otsb_die "unable to create temporary directory"


	git clone -q $src $tmpdir

	export GIT_WORK_TREE=$tmpdir
	export GIT_DIR=$tmpdir/.git

	git checkout -q $branch

	local version

	if [ "$branch" = master ]; then

	    version=$(git log -n 1 --pretty=format:"%h" $branch)

	else

	    version=$tag

	fi

	local package="$package_name-$version"
	local tarball="$package.tar.gz"

	rsync -a $tmpdir/ $package
	tar czf $tarball $package

	/bin/rm -rf $package

	echo $tarball
)

mst_otsb_get_archive_from_git () {

	local src="$1"
	local package_name=${2:-$(basename $src .git)}
	local tag=${3:-master}

	local tarball=$(mst_otsb_git_clone_tarball "${@}" ) \
		|| otsb_die "error retrieving tarball for $package_name from $src"

	rm -f latest
	ln -s $tarball latest
	unset otsbv_archive
	mst_otsb_set_archive
}
